export default {
  props: {
    type: {
      type: String,
      default: 'image-text'
    },
    btnType: {
      type: String,
      default: 'default',
    },
    bgFull: Boolean,
    title: String,
    description: String,
    tagText: String,
    btnText: String,
    detail: String,
    headerContent: String,
    headerStatus: String,
    contentVertical: String,
    contentBottom: String,
    imageSrc: String,
    isCircle: Boolean,
    isBorder: Boolean,
    isShadow: Boolean,
    leftBtnText: String,
    rightBtnText: String,
    leftBtnDisabled: Boolean,
    rightBtnDisabled: Boolean,
    themeColor: {
      type: String,
      default: '',
    },
    backgroundColor: {
      type: String,
      default: ''
    },
    functionCardData: {
      type: Array,
      default: function(){
        return []
      }
    },
    gapCardIconList: {
      type: Array,
      default: function() {
        return []
      }
    },
    iconSize: {
      type: Number,
      default: 30
    },
    cardData: {
      type: Array,
      default: () => {
        return [];
      },
    },
    titleFontBold: Boolean,
    contentListData: {
      type: Array,
      default: () => {
        return [];
      },
    },
    leftIcon: {
      type: Object,
      default: () => {
        return {}
      }
    },
    rightIcon: {
      type: Object,
      default: () => {
        return {}
      }
    },
    commonText:String
  },
}
